Edit

Share via


Gateways - List Gateways

Returns a list of all gateways the user has permission for, including on-premises, on-premises (personal mode), and virtual network gateways.

Permissions

The caller must have permissions for the gateway.

Required Delegated Scopes

Gateway.Read.All or Gateway.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/gateways
GET https://api.fabric.microsoft.com/v1/gateways?continuationToken={continuationToken}

URI Parameters

Name In Required Type Description
continuationToken
query

string

A token for retrieving the next page of results.

Responses

Name Type Description
200 OK

ListGatewaysResponse

OK. The operation was successful.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • UnknownError - An error occurred.

Examples

Example

Sample request

GET https://api.fabric.microsoft.com/v1/gateways

Sample response

{
  "value": [
    {
      "id": "8e41c4dd-a382-4937-9bf3-695ab881f7c2",
      "type": "OnPremises",
      "displayName": "ContosoOnPremisesGateway",
      "publicKey": {
        "exponent": "AQGB",
        "modulus": "od9b...90Jp1Q=="
      },
      "version": "3000.1.1",
      "numberOfMemberGateways": 2,
      "loadBalancingSetting": "DistributeEvenly",
      "allowCloudConnectionRefresh": true,
      "allowCustomConnectors": true
    },
    {
      "id": "ca8979ff-4238-4489-ad13-2e1bd69a8412",
      "type": "OnPremisesPersonal",
      "publicKey": {
        "exponent": "AQOV",
        "modulus": "pt9b...87Jp1Q=="
      },
      "version": "3000.1.1"
    },
    {
      "id": "271c5c9a-0860-4927-b1da-ce49008d6565",
      "type": "VirtualNetwork",
      "displayName": "ContosoVirtualNetworkGateway",
      "capacityId": "ed26b6f3-7bc5-44b0-9565-a8942619ef4c",
      "virtualNetworkAzureResource": {
        "subscriptionId": "879b4ba0-ed17-4ff2-851e-4a2228e00b70",
        "resourceGroupName": "ContosoResourceGroup",
        "virtualNetworkName": "ContosoVirtualNetwork",
        "subnetName": "ContosoSubnet"
      },
      "inactivityMinutesBeforeSleep": 1440,
      "numberOfMemberGateways": 3
    }
  ],
  "continuationToken": "LDEsMTAwMDAwLDA%3D",
  "continuationUri": "https://api.fabric.microsoft.com/v1/connections?continuationToken=LDEsMTAwMDAwLDA%3D"
}

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

GatewayType

The type of the gateway. Additional gateway types may be added over time.

ListGatewaysResponse
LoadBalancingSetting

The load balancing setting of the gateway cluster. Additional load balancing settings may be added over time.

OnPremisesGateway
OnPremisesGatewayPersonal
PublicKey

The public key of the on-premises gateway.

VirtualNetworkAzureResource

The properties of a Virtual Network Azure resource

VirtualNetworkGateway

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

GatewayType

The type of the gateway. Additional gateway types may be added over time.

Value Description
OnPremises

The on-premises gateway.

OnPremisesPersonal

The on-premises gateway (personal mode).

VirtualNetwork

The virtual network gateway.

ListGatewaysResponse

Name Type Description
continuationToken

string

The token for the next result set batch. If there are no more records, it's removed from the response.

continuationUri

string

The URI of the next result set batch. If there are no more records, it's removed from the response.

value Gateway[]:

A list of gateways returned.

LoadBalancingSetting

The load balancing setting of the gateway cluster. Additional load balancing settings may be added over time.

Value Description
Failover

Requests will be sent to the first available gateway cluster member.

DistributeEvenly

Requests will be distributed evenly among all enabled gateway cluster members.

OnPremisesGateway

Name Type Description
allowCloudConnectionRefresh

boolean

Whether to allow cloud connections to refresh through this on-premises gateway. True - Allow, False - Do not allow.

allowCustomConnectors

boolean

Whether to allow custom connectors to be used with this on-premises gateway. True - Allow, False - Do not allow.

displayName

string

The display name of the on-premises gateway.

id

string (uuid)

The object ID of the gateway.

loadBalancingSetting

LoadBalancingSetting

The load balancing setting of the on-premises gateway.

numberOfMemberGateways

integer

The number of gateway members in the on-premises gateway.

publicKey

PublicKey

The public key of the primary gateway member. Used to encrypt the credentials for creating and updating connections.

type string:

OnPremises

The type of the gateway.

version

string

The version of the installed primary gateway member.

OnPremisesGatewayPersonal

Name Type Description
id

string (uuid)

The object ID of the gateway.

publicKey

PublicKey

The public key of the gateway. Used to encrypt the credentials for creating and updating connections.

type string:

OnPremisesPersonal

The type of the gateway.

version

string

The version of the gateway.

PublicKey

The public key of the on-premises gateway.

Name Type Description
exponent

string

The exponent of the public key.

modulus

string

The modulus of the public key.

VirtualNetworkAzureResource

The properties of a Virtual Network Azure resource

Name Type Description
resourceGroupName

string

The name of the resource group

subnetName

string

The name of the subnet

subscriptionId

string (uuid)

The subscription ID

virtualNetworkName

string

The name of the virtual network

VirtualNetworkGateway

Name Type Description
capacityId

string (uuid)

The object ID of the Fabric license capacity.

displayName

string

The display name of the virtual network gateway.

id

string (uuid)

The object ID of the gateway.

inactivityMinutesBeforeSleep

integer

The minutes of inactivity before the virtual network gateway goes into auto-sleep.

numberOfMemberGateways

integer

The number of member gateways.

type string:

VirtualNetwork

The type of the gateway.

virtualNetworkAzureResource

VirtualNetworkAzureResource

The Azure virtual network resource.